summary refs log tree commit diff
path: root/pkgs/build-support/appimage
diff options
context:
space:
mode:
authorGuillaume Girol <symphorien@users.noreply.github.com>2021-01-25 18:18:42 +0000
committerGitHub <noreply@github.com>2021-01-25 18:18:42 +0000
commit7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d (patch)
treed5603c62b808ceffd1cd9985478ed70acfd700c4 /pkgs/build-support/appimage
parent7a5e4b7df8f843084ddef7b73438c54875d68177 (diff)
parentf54f718871ed34cc8e6a71905349d34f00d6fd6d (diff)
downloadnixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar.gz
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar.bz2
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar.lz
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar.xz
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.tar.zst
nixpkgs-7f355dcc4ee4beb9f3ba6a4bd9a3f353069fe58d.zip
Merge pull request #108427 from symphorien/chdir-appimage
appimage-run: fix #108426
Diffstat (limited to 'pkgs/build-support/appimage')
-rwxr-xr-xpkgs/build-support/appimage/appimage-exec.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/pkgs/build-support/appimage/appimage-exec.sh b/pkgs/build-support/appimage/appimage-exec.sh
index 7986c589667..4ff6802e645 100755
--- a/pkgs/build-support/appimage/appimage-exec.sh
+++ b/pkgs/build-support/appimage/appimage-exec.sh
@@ -75,15 +75,15 @@ apprun() {
 
 wrap() {
 
-  cd "$APPDIR" || exit
   # quite same in appimageTools
   export APPIMAGE_SILENT_INSTALL=1
 
   if [ -n "$APPIMAGE_DEBUG_EXEC" ]; then
+    cd "$APPDIR" || true
     exec "$APPIMAGE_DEBUG_EXEC"
   fi
 
-  exec ./AppRun "$@"
+  exec "$APPDIR/AppRun" "$@"
 }
 
 usage() {